#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-1167

### Chapter 11. General Utilities

- Prev

  Screen-5.0.2

- Next

  Sharutils-4.15.2

- Up
- Home

# shared-mime-info-2.5.1

## Introduction to Shared Mime Info

The Shared Mime Info package contains a MIME database. This allows central updates of MIME information for all supporting applications.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/xdg/shared-mime-info/-/archive/2.5.1/shared-mime-info-2.5.1.tar.gz

- Download MD5 sum: 5f8baa7bac254ea9e65782f754a2880b

- Download size: 8.5 MB

- Estimated disk space required: 32 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### Shared Mime Info Dependencies

#### Required

GLib-2.88.3 and libxml2-2.15.3

#### Optional

git-2.55.0 (for tests), and xmlto-0.0.29

### Note

An Internet connection is needed for some tests of this package. The system certificate store may need to be set up with make-ca-1.16.1 before testing this package.

## Installation of Shared Mime Info

Install Shared Mime Info by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr         \
                --buildtype=release   \
                -D update-mimedb=true \
                -D build-tests=false  \
                -D build-spec=false   \
                .. &&
    ninja

Now, as the `root` user:

    ninja install

If want to run the tests, support files will automatically be downloaded from upstream. Build and run the tests with:

    meson configure -D build-tests=true &&
    ninja test

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D update-mimedb=true`: This parameter tells the build system to run update-mime-database during installation. Otherwise, this must be done manually in order to be able to use the MIME database.

`-D build-spec=false`: This parameter tells the build system to NOT insert the HTML specification into shared-mime-info-spec-html. Omit this parameter if xmlto-0.0.29 is installed.

## Contents

Installed Program: update-mime-database
Installed Library: None
Installed Directory: /usr/share/mime

### Short Descriptions

update-mime-database | assists in adding MIME data to the database

- Prev

  Screen-5.0.2

- Next

  Sharutils-4.15.2

- Up
- Home